Bug 27792 - Sometimes network stops to work (pcmcia 3com 3c575)
Sometimes network stops to work (pcmcia 3com 3c575)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-15 08:19 EST by G. Bersano
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G. Bersano 2001-02-15 08:19:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


Sometimes my ethernet connection freezes, apparently because of network
load but not sure. Compaq Armada E500, pcmcia 3Com 3CCFE575CT Tornado
CardBus, 100 Mb/s connection, kernel 2.2.17-14. Problem was really serious
until kernel 2.2.16-21, I hoped 2.2.17-14 could have the solution. 
After upgrade things got better but not solved.
When network stop functioning I get RX-OVR's and TX-ERR's (as a sample an
output from "netstat -ip":

Iface   MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR
Flg
eth0   1500   0    11279      0      0    895     1580     63      0      0
BRU

ouput of "dmesg" (sample)
eth0: Tx Ring full, refusing to send buffer.
eth0: transmit timed out, tx_status 00 status e000.
  diagnostics: net 0ce0 media a800 dma 000000a0.
  Flags; bus-master 1, full 1; dirty 1579 current 1589.
  Transmit list 06134ab0 vs. c6134ab0.
  0: @c6134a00  length 80000042 status 80000042
  1: @c6134a10  length 800001cf status 800001cf
  2: @c6134a20  length 800001cf status 800001cf
  3: @c6134a30  length 800001cf status 800001cf
.... (snip)....
  14: @c6134ae0  length 80000042 status 80000042
  15: @c6134af0  length 800001cf status 800001cf
eth0: Resetting the Tx ring pointer.

Returns to life disabling and enabling pcmcia (/etc/rc.d/init/pcmcia
restart).

Reproducible: Couldn't Reproduce
Steps to Reproduce:
Actually it reproduces by itself, no control over it
Comment 1 Bugzilla owner 2004-09-30 11:38:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.